<?php
/**
 * Plugin Name: IDWPlugin
 * Plugin URI: http://www.instructables.com/id/Write-your-own-WordPress-Plugin/
 * Description: IDW or Instructables DIY WordPress Plugin, a how-to framework.
 * Version: 0.1.0
 * Author: MrRedBeard
 * Author URI: http://mrb.mickred.com
 * License: GPL2
 */

/*  Copyright 2014  MrRedBeard (email : mrredbeard@mickred.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

defined('ABSPATH') or die("No script kiddies please!"); //Prevents someone from accessing this php directly.


//Shortcode function that is called. You can use arguments to configure how or what is returned.
function idw_HelloWorldShortCode( $atts, $content = null )
{
   $a = shortcode_atts( array
   (
      'img' => 'true',
   ), $atts );

   $returnValue = '';

   if($a['img'] == 'true')
   {
      $returnValue = '<img src="http://cdn.instructables.com/FZF/9H1R/FD80X5P3/FZF9H1RFD80X5P3.SMALL.gif" />';
   }
   else
   {
      $returnValue = 'HELLO WORLD';
   }
   
   return $returnValue;
}

//Load Plugin Admin HTML for plugin page
function idw_PluginAdminHTML()
{
   echo "<h1>Instructables DIY WordPress Plugin Tutorial</h1>";
}

//Add Admin Page
function idw_AdminMenu()
{
   add_menu_page('IDW Menu Item', 'IDW Menu Item', 'manage_options', 'idw-options', 'idw_PluginAdminHTML');
}

//Add Admin Plugin Menu
add_action('admin_menu', 'idw_AdminMenu');

//Shortcode action that calls the function above and inserts the shortcode into WordPress.
//Used by placing [idwHelloWorld idw=true] or [idwHelloWorld idw=false] in a page or post.
add_shortcode('idwHelloWorld', 'idw_HelloWorldShortCode');


?>